View Issue Details

IDProjectCategoryView StatusLast Update
0031457LazarusLazReportpublic2017-04-13 07:46
ReporterLagunov AlekseyAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0031457: Bug fixes and improvements for LazReport
Descriptionlr.dialogs.diff
 - fix potential AV on execute script for dialog pages

lr.lrOfficeImport.diff
 - Increased speed of report template import from a spreadsheet file

lr.lr_e_pdf.diff
 - fix compile with latest Lazarus

lr.lrClass.diff
 - fix AV after destroy report designer
 - fix create CrossTab report on multiple pages
 - fix editing prepared report
TagsNo tags attached.
Fixed in Revision54576
LazTarget1.8
Widgetset
Attached Files

Activities

Lagunov Aleksey

2017-03-01 07:18

reporter  

lr_diff.rar (3,574 bytes)

Jesus Reyes

2017-04-08 17:59

developer   ~0099514

thank you. Applied, please test.

Issue History

Date Modified Username Field Change
2017-03-01 07:18 Lagunov Aleksey New Issue
2017-03-01 07:18 Lagunov Aleksey File Added: lr_diff.rar
2017-03-05 17:52 Jesus Reyes Assigned To => Jesus Reyes
2017-03-05 17:52 Jesus Reyes Status new => assigned
2017-04-08 17:59 Jesus Reyes Fixed in Revision => 54576
2017-04-08 17:59 Jesus Reyes LazTarget => 1.8
2017-04-08 17:59 Jesus Reyes Note Added: 0099514
2017-04-08 17:59 Jesus Reyes Status assigned => resolved
2017-04-08 17:59 Jesus Reyes Fixed in Version => 1.7 (SVN)
2017-04-08 17:59 Jesus Reyes Resolution open => fixed
2017-04-08 17:59 Jesus Reyes Target Version => 1.8
2017-04-13 07:46 Lagunov Aleksey Status resolved => closed